#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.evaluation.av.evtype import evtype
from bu4.evaluation.constructs.evaluable import Evaluable
from bu4.indexing.constructs.indexed import Indexed

__all__ = ('EIndexed',)


class EIndexed(Evaluable):
    def __init__(self, ev: evtype, indexed: Indexed):
        self.ev = ev
        self.indexed = indexed

    def next(self) -> Evaluable:
        return self.indexed.evaluable(self.ev)

    def __str__(self):
        return f'{self.indexed}'
