#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_CALL
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsingstate import ParsingState
from bu4.parsing.states.afterparsing import AfterParsing
from bu4.parsing.states.parsing_call import parsing_call

__all__ = ('XCall',)


class XCall(Extension, code=CODE_CALL):
    def apply(self, state: AfterParsing) -> ParsingState:
        state.state = parsing_call()
        return state
