#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_NULL
from bu4.parsing.constructs.pnull import PNull
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsingstate import ParsingState
from bu4.parsing.states.afterparsing import AfterParsing
from bu4.parsing.states.parsingfinished import ParsingFinished

__all__ = ('XNull',)


class XNull(Extension, code=CODE_NULL):
    def apply(self, state: AfterParsing) -> ParsingState:
        state.state = ParsingFinished(PNull())
        return state
