#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_SKIP
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsingstate import ParsingState
from bu4.parsing.states.afterparsing import AfterParsing

__all__ = ('XSkip',)


class XSkip(Extension, code=CODE_SKIP):
    def apply(self, state: AfterParsing) -> ParsingState:
        return state
