#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_XCPT
from bu4.parsing.constructs.pexception import PException
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsingstate import ParsingState
from bu4.parsing.states.afterparsing import AfterParsing
from bu4.parsing.states.parsingfinished import ParsingFinished

__all__ = ('XXcpt',)


class XXcpt(Extension, code=CODE_XCPT):
    def apply(self, state: AfterParsing) -> ParsingState:
        state.state = ParsingFinished(PException(self.parser.parse_name()))
        return state
