#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.constructs.parsed import Parsed
from bu4.parsing.states.parsingstate import ParsingState
from bu4.parsing.states.afterparsing import AfterParsing
from bu4.parsing.targets.aptarget import APTarget

__all__ = ('APChain',)


class APChain(APTarget):
    def __init__(self, target: APTarget, aftertarget: APTarget):
        self.target = target
        self.aftertarget = aftertarget

    def given(self, parsed: Parsed) -> ParsingState:
        return AfterParsing(self.target.given(parsed), self.aftertarget)
