#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.indexing.constructs.indexed import Indexed
from bu4.indexing.states.afterindexing import AfterIndexing
from bu4.indexing.states.indexingstate import IndexingState
from bu4.indexing.targets.aitargett import AITarget

__all__ = ('AIChain',)


class AIChain(AITarget):
    def __init__(self, target: AITarget, aftertarget: AITarget):
        self.target = target
        self.aftertarget = aftertarget

    def given(self, indexed: Indexed) -> IndexingState:
        return AfterIndexing(self.target.given(indexed), self.aftertarget)
