#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_NAME
from bu4.parsing.constructs.pname import PName
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsingstate import ParsingState
from bu4.parsing.states.afterparsing import AfterParsing
from bu4.parsing.states.parsingfinished import ParsingFinished

__all__ = ('XName',)


class XName(Extension, code=CODE_NAME):
    def apply(self, state: AfterParsing) -> ParsingState:
        state.state = ParsingFinished(PName(self.parser.parse_name()))
        return state
