#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.constructs.pcall import PCall
from bu4.parsing.states.afterparsing import AfterParsing
from bu4.parsing.states.parsingfinished import ParsingFinished
from bu4.parsing.states.parsingread import ParsingRead
from bu4.parsing.targets.aplambda import APLambda

__all__ = ('parsing_call',)


def parsing_call():
    return AfterParsing(
        ParsingRead(),
        APLambda(
            lambda argument: AfterParsing(
                ParsingRead(),
                APLambda(
                    lambda lambda_: ParsingFinished(
                        PCall(
                            argument,
                            lambda_
                        )
                    )
                )
            )
        )
    )
