#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from typing import Callable

from bu4.parsing.constructs.parsed import Parsed
from bu4.parsing.states.parsingstate import ParsingState
from bu4.parsing.targets.aptarget import APTarget

__all__ = ('APLambda',)


class APLambda(APTarget):
    def __init__(self, lambda_: Callable[[Parsed], ParsingState]):
        self.lambda_ = lambda_

    def given(self, parsed: Parsed) -> ParsingState:
        return self.lambda_(parsed)
